org.appng.persistence.repository

## Enum SearchQuery.Operand

- java.lang.Object
- - java.lang.Enum<SearchQuery.Operand>
  - - org.appng.persistence.repository.SearchQuery.Operand

- All Implemented Interfaces:
    Serializable, Comparable<SearchQuery.Operand>
  Enclosing class:
    SearchQuery<T>

      protected static enum SearchQuery.Operand
      extends Enum<SearchQuery.Operand>

  An operand that is applied to a `SearchQuery.Criterion`.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `EQ`
    `GE`
    `GT`
    `IN`
    `LE`
    `LIKE`
    `LT`
    `NE`
    `NOT_IN`
    `NOT_LIKE`
    `NOT_NULL`
    `NULL`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getPresentation()`
    `static SearchQuery.Operand` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static SearchQuery.Operand[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### EQ

          public static final SearchQuery.Operand EQ

    - #### NE

          public static final SearchQuery.Operand NE

    - #### LE

          public static final SearchQuery.Operand LE

    - #### GE

          public static final SearchQuery.Operand GE

    - #### LT

          public static final SearchQuery.Operand LT

    - #### GT

          public static final SearchQuery.Operand GT

    - #### IN

          public static final SearchQuery.Operand IN

    - #### NOT_IN

          public static final SearchQuery.Operand NOT_IN

    - #### LIKE

          public static final SearchQuery.Operand LIKE

    - #### NOT_LIKE

          public static final SearchQuery.Operand NOT_LIKE

    - #### NOT_NULL

          public static final SearchQuery.Operand NOT_NULL

    - #### NULL

          public static final SearchQuery.Operand NULL

  - ### Method Detail

    - #### values

          public static SearchQuery.Operand[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SearchQuery.Operand c : SearchQuery.Operand.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SearchQuery.Operand valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getPresentation

          public String getPresentation()

Copyright © 2011–2023 aiticon GmbH. All rights reserved.